QGIS Application - Bug report #16923

No stack trace on python error from within forms

2017-07-24 04:33 PM - Hugo Mercier

Status: Closed

Priority: Normal

Assignee: Hugo Mercier
Category: Python bindings / sipify

Affected QGIS version:2.18.17
Operating System: Linux Ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: end of life

Copied to github as #: 24822

Description

When developing python scripts in Forms, the stack trace fails to be displayed, with a message like

traceback.print_exception() failed

It seems to be reproducible with a simple line in the python console:

from qgis.core import QgsPythonRunner
QgsPyhtonRunner.run("obvious syntax error")

QgsPythonRunner calls QgsPythonRunnerimpl defined in qgisapp.cpp that then calls runString() defined in ggspythonutilsimpl.cpp

History

#1 - 2017-09-28 09:39 AM - Denis Rouzaud

- Assignee changed from Denis Rouzaud to Nyall Dawson

Nyall, didn't you do something in this area?

#2 - 2017-09-29 02:23 AM - Nyall Dawson

There's this:

https://github.com/qgis/QGIS/blob/master/src/core/processing/qgsprocessingalgorithm.h#L529

and

https://github.com/qgis/QGIS/blob/master/python/core/core.sip#L 106

Maybe a similar approach could be taken here?

#3 - 2018-02-25 11:13 AM - Regis Haubourg
- Affected QGIS version changed from 2.18.1 to 2.18.17
- Assignee changed from Nyall Dawson to Hugo Mercier
https://github.com/qgis/QGIS/blob/master/python/core/core.sip#L106

We found that activating / deactivating some plugins like QuickMapService solved the issue. But the plugin don't seem to be the culprits.

#4 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history — a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

2025-04-27 22


http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

